Skip to main content
contracts

Create a contract

Creates a contract with its terms, optionally assigns a category and company, sets custom field values, and links the given assets. Returns the created contract.

POST
/v1/contracts
beam-api-keystringheaderrequired

Body

application/json
assetIdsstring[]default:[]
categoryIdstring | null
companyIdstring | null
customFieldsobject

Custom field values keyed by custom field id, for example { "<customFieldId>": "value" }. An existing value is overwritten (null clears it), and a value is only created when content is non-empty

descriptionstring | null
namestringrequired
Minimum string length: 1
termsobject[]required
Minimum array length: 1
vendorstringrequired
Minimum string length: 1

Response

application/json

The created contract

allTermsobject[]required
assetsobject[]required
categorystring | nullrequired
categoryIdstring | nullrequired
companiesobject[]required
contractNumbernumberrequired
contractStatusenum<string>required
Available options: pending, active, renewing_soon, expiring_soon, expired, cancelled, incomplete, planned, not_approved, completed
createdAtstringrequired
createdBystringrequired
currentTermobject | nullrequired
descriptionstring | nullrequired
fieldsByIdobjectrequired
idstringrequired
namestringrequired
nextPaymentobject | nullrequired
previousTermobject | nullrequired
renewalTermobject | nullrequired
tagsobject[]required
updatedAtstringrequired
vendorstringrequired